Sety
  1. Threat Intelligence
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Threat Intelligence

Route safety analysis

GET
/safety/route
Evaluates safety conditions along a route between two points.
Returns a composite score and flags dangerous segments.
Use this to warn users before a trip or suggest alternatives.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Route safety analysis
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/safety/route?from_lat&from_lng&to_lat&to_lng&checkpoints' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "route_safety_score": 0,
    "lowest_safety_score": 0,
    "checkpoints": [
        {
            "checkpoint": 0,
            "location": {},
            "safety_score": 0,
            "level": "string"
        }
    ],
    "danger_zones": [
        {}
    ],
    "recommendation": "string",
    "alternative_needed": true
}
Modified at 2026-03-10 02:58:15
Previous
Safety score
Next
Error
Built with